Package Details: liblms7002m-xtrx-git r9.bfd5418098f1-3

Git Clone URL: https://aur.archlinux.org/liblms7002m-xtrx-git.git (read-only, click to copy)
Package Base: liblms7002m-xtrx-git
Description: A Compact LMS7002 library suitable for MCU. Use by the xtrx sdr.
Upstream URL: https://github.com/xtrx-sdr/liblms7002m
Keywords: sdr xtrx
Licenses: LGPL
Provides: liblms7002m-xtrx
Submitter: lynxis
Maintainer: lynxis
Last Packager: lynxis
Votes: 0
Popularity: 0.000000
First Submitted: 2019-04-22 17:44
Last Updated: 2019-09-10 03:32

Dependencies (3)

Required by (1)

Sources (1)

Latest Comments

lynxis commented on 2019-09-10 03:32

Thanks, applied.

GNUtoo commented on 2019-07-06 01:39

Hi,

Here are two patches:

0001-Make-the-package-architecture-dependent-to-enable-sh.patch:

From 6de080a2c6435ac70ef18361ca95d18c8f61ef42 Mon Sep 17 00:00:00 2001
From: Denis 'GNUtoo' Carikli GNUtoo@cyberdimension.org
Date: Sat, 6 Jul 2019 03:23:10 +0200
Subject: [PATCH 1/2] Make the package architecture dependent to enable
 shipping it.

While this works in AUR, because users are building the PKGBUILD, distributions wanting to use this PKGBUILD as-is and ship packages produced with it will have an issue as the package built will be installable on any architecture, but the binaries in the packages are not architecture independant.

Signed-off-by: Denis 'GNUtoo' Carikli GNUtoo@cyberdimension.org

PKGBUILD | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/PKGBUILD b/PKGBUILD index 5cbbedf..02997e1 100644 --- a/PKGBUILD +++ b/PKGBUILD @@ -4,7 +4,7 @@ _gitname="liblms7002m" pkgver=r9.bfd5418098f1 pkgrel=1 pkgdesc="A Compact LMS7002 library suitable for MCU. Use by the xtrx sdr." -arch=('any') +arch=('armv7h' 'i686' 'x86_64') url="https://github.com/xtrx-sdr/liblms7002m" license=('LGPL') makedepends=('git' 'cmake') -- 2.22.0

0002-Add-python2-cheetah-build-dependency.patch:

From e418dc47ce7ba37edde8edde486debdc470fe907 Mon Sep 17 00:00:00 2001
From: Denis 'GNUtoo' Carikli GNUtoo@cyberdimension.org
Date: Sat, 6 Jul 2019 03:29:48 +0200
Subject: [PATCH 2/2] Add python2-cheetah build dependency

Cheetah is only used in regs/enum_parser.py which is only used during compilation to generate the lms7002m_defs.h header.

Signed-off-by: Denis 'GNUtoo' Carikli GNUtoo@cyberdimension.org

PKGBUILD | 3 ++- 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/PKGBUILD b/PKGBUILD index 02997e1..22bd7bc 100644 --- a/PKGBUILD +++ b/PKGBUILD @@ -2,11 +2,12 @@ pkgname=liblms7002m-xtrx-git _gitname="liblms7002m" pkgver=r9.bfd5418098f1 -pkgrel=1 +pkgrel=2 pkgdesc="A Compact LMS7002 library suitable for MCU. Use by the xtrx sdr." arch=('armv7h' 'i686' 'x86_64') url="https://github.com/xtrx-sdr/liblms7002m" license=('LGPL') +depends=('python2-cheetah') makedepends=('git' 'cmake') source=("git+$url") md5sums=('SKIP') -- 2.22.0